#include "opendylan/run-time.h"

void _Init_source_records_ () __attribute__((constructor));
void _Init_source_records_ () {
  extern void _Init_Run_Time();
  extern void _Init_system_();
  extern void _Init_io_();
  extern void _Init_collections_();
  extern void _Init_common_dylan_();
  extern void _Init_source_records__X_source_records_library_for_system();
  extern void _Init_source_records__X_source_records_for_system();
  extern void _Init_source_records__X_source_locations_for_system();
  extern void _Init_source_records__X_line_source_locations_for_system();
  extern void _Init_source_records__X_source_location_tables_for_system();
  extern void _Init_source_records__X_interactive_source_records_for_system();
  extern void _Init_source_records__X_source_records_library_for_user();
  extern void _Init_source_records__X_source_records_for_user();
  extern void _Init_source_records__X_source_locations_for_user();
  extern void _Init_source_records__X_line_source_locations_for_user();
  extern void _Init_source_records__X_source_location_tables_for_user();
  extern void _Init_source_records__X_interactive_source_records_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_system_();
    _Init_io_();
    _Init_collections_();
    _Init_common_dylan_();
    _Init_source_records__X_source_records_library_for_system();
    _Init_source_records__X_source_records_for_system();
    _Init_source_records__X_source_locations_for_system();
    _Init_source_records__X_line_source_locations_for_system();
    _Init_source_records__X_source_location_tables_for_system();
    _Init_source_records__X_interactive_source_records_for_system();
    _Init_source_records__X_source_records_library_for_user();
    _Init_source_records__X_source_records_for_user();
    _Init_source_records__X_source_locations_for_user();
    _Init_source_records__X_line_source_locations_for_user();
    _Init_source_records__X_source_location_tables_for_user();
    _Init_source_records__X_interactive_source_records_for_user();
  }
}
